package com.rjconsultores.ventaboletos.relatorios.impl;

import java.sql.Connection;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import com.rjconsultores.ventaboletos.relatorios.utilitarios.Relatorio;
import com.rjconsultores.ventaboletos.vo.comissao.ComissaoReceita;
import com.rjconsultores.ventaboletos.vo.comissao.RegistroCalculo;

import net.sf.jasperreports.engine.data.JRBeanCollectionDataSource;

public class RelatorioCalculoComissaoAnalitico extends Relatorio {

	@SuppressWarnings("unchecked")
	public RelatorioCalculoComissaoAnalitico(Map<String, Object> parametros, Connection conexao) {
		super(parametros, conexao);

		List<ComissaoReceita> lsDadosRelatorio = new ArrayList<ComissaoReceita>();
		
		if(parametros.get("registrosCalculo") != null) {
			List<RegistroCalculo> registrosCalculo = ((List<RegistroCalculo>) parametros.get("registrosCalculo"));
			for (RegistroCalculo registroCalculo : registrosCalculo) {
				lsDadosRelatorio.addAll(registroCalculo.getLsReceitas());
			}
		}

		setLsDadosRelatorio(lsDadosRelatorio);
	}

	public void setLsDadosRelatorio(List<ComissaoReceita> lsDadosRelatorio) {
		this.setCollectionDataSource(new JRBeanCollectionDataSource(lsDadosRelatorio));
	}

	@Override
	protected void processaParametros() throws Exception {
	}

}
